Bug 30119 - WebPluginHalterClient instances are leaked
Summary: WebPluginHalterClient instances are leaked
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 30403
  Show dependency treegraph
 
Reported: 2009-10-06 04:46 PDT by Mark Rowe (bdash)
Modified: 2009-10-15 13:08 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Rowe (bdash) 2009-10-06 04:46:06 PDT
A new instance of WebPluginHalterClient is passed to the Page constructor by WebView.  Neither Page, PluginHalter nor WebView delete the PluginHalterClient instance.  It leaks.
Comment 1 Mark Rowe (bdash) 2009-10-06 04:47:52 PDT
<rdar://problem/7279176>
Comment 2 Jon Honeycutt 2009-10-09 02:38:34 PDT
Fixed by r49385.